<template>
  <li class="fr-col">
    <div
      class="fr-card"
      :class="{
        'fr-enlarge-link': enlargeLink,
        'fr-card--horizontal': horizontal,
        [`fr-card--${color}`]: color,
        'fr-card--no-arrow': noArrow,
      }"
    >
      <div class="fr-card__body">
        <div class="fr-card__content">
          <div class="fr-card__start">
            <ul v-if="$slots.start" class="fr-tags-group">
              <slot name="start"></slot>
            </ul>

            <div v-if="$slots.startDetail || detail" class="fr-card__detail">
              <slot name="startDetail">
                <p class="fr-card__detail">{{ detail }}</p>
              </slot>
            </div>
          </div>

          <h4 class="fr-card__title">
            <slot name="title">
              <nuxt-link :to="to">{{ title }}</nuxt-link>
            </slot>
          </h4>

          <p v-if="typeof description === 'string'" class="fr-card__desc">
            <slot name="description">{{ description }}</slot>
          </p>

          <div v-if="typeof description !== 'string'" class="fr-card__desc">
            <slot name="description">{{ description }}</slot>
          </div>

          <div v-if="$slots.endDetail" class="fr-card__end">
            <slot name="endDetail"></slot>
          </div>
        </div>
      </div>

      <div v-if="imagePath" class="fr-card__header">
        <div class="fr-card__img">
          <img class="fr-responsive-img" :src="imagePath" alt="" />
        </div>

        <ul v-if="$slots.mediaBadge" class="fr-badges-group">
          <slot name="mediaBadge"></slot>
        </ul>
      </div>
    </div>
  </li>
</template>

<script>
export default {
  name: 'FrCard',

  props: {
    title: {
      type: String,
      default: null,
    },
    to: {
      type: Object,
      default: null,
    },
    subTitle: {
      type: String,
      default: null,
    },
    description: {
      type: String,
      default: null,
    },
    detail: {
      type: String,
      default: null,
    },
    imagePath: {
      type: String,
      default: null,
    },
    color: {
      type: String,
      default: null,
    },
    enlargeLink: {
      type: Boolean,
      default: false,
    },
    horizontal: {
      type: Boolean,
      default: false,
    },
    noArrow: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style scoped>
.fr-card__img {
  border-bottom: 1px solid var(--border-default-grey);
}

.fr-card__img img {
  object-fit: contain;
}
</style>
